dev-libs/
mongo-c-driver

Client library written in C for MongoDB

https://github.com/mongodb/mongo-c-driver

Available Versions

Version amd64 x86 alpha arm arm64 hppa ia64 ppc ppc64 sparc
Warnings For All Versions
1.16.2 : 0 T ~amd64 x86 alpha arm arm64 ~hppa ia64 ppc ppc64 sparc
LaggingStable slot(0), stabled arch: [ x86 ], lagging: [ ~amd64, ~hppa ]
LaggingStable slot(0), stabled arch: [ x86 ], lagging: [ ~amd64, ~hppa ]
1.15.1 : 0 T ~amd64 ~x86 alpha arm arm64 ~hppa ia64 ppc ppc64 sparc
RedundantUriRename redundant rename: https://github.com/mongodb/mongo-c-driver/releases/download/1.15.1/mongo-c-driver-1.15.1.tar.gz -> mongo-c-driver-1.15.1.tar.gz
RedundantVersion slot(0) keywords are overshadowed by version: 1.16.2
RedundantUriRename redundant rename: https://github.com/mongodb/mongo-c-driver/releases/download/1.15.1/mongo-c-driver-1.15.1.tar.gz -> mongo-c-driver-1.15.1.tar.gz
RedundantVersion slot(0) keywords are overshadowed by version: 1.16.2
1.14.0 : 0 T ~amd64 ~x86 alpha arm arm64 ~hppa ia64 ppc ppc64 sparc
RedundantUriRename redundant rename: https://github.com/mongodb/mongo-c-driver/releases/download/1.14.0/mongo-c-driver-1.14.0.tar.gz -> mongo-c-driver-1.14.0.tar.gz
RedundantVersion slot(0) keywords are overshadowed by versions: 1.15.1, 1.16.2
RedundantUriRename redundant rename: https://github.com/mongodb/mongo-c-driver/releases/download/1.14.0/mongo-c-driver-1.14.0.tar.gz -> mongo-c-driver-1.14.0.tar.gz
RedundantVersion slot(0) keywords are overshadowed by versions: 1.15.1, 1.16.2
1.13.1 : 0 T ~amd64 ~x86 alpha arm arm64 ~hppa ia64 ppc ppc64 sparc
RedundantVersion slot(0) keywords are overshadowed by versions: 1.14.0, 1.15.1, 1.16.2
RedundantVersion slot(0) keywords are overshadowed by versions: 1.14.0, 1.15.1, 1.16.2
1.13.0-r1 : 0 T amd64 x86 alpha arm arm64 ~hppa ia64 ppc ppc64 sparc
1.12.0 : 0 T ~amd64 ~x86 alpha arm arm64 ~hppa ia64 ppc ppc64 sparc
RedundantVersion slot(0) keywords are overshadowed by versions: 1.13.0-r1, 1.13.1, 1.14.0, 1.15.1, 1.16.2
RedundantVersion slot(0) keywords are overshadowed by versions: 1.13.0-r1, 1.13.1, 1.14.0, 1.15.1, 1.16.2
1.11.0 : 0 T ~amd64 ~x86 alpha arm arm64 ~hppa ia64 ppc ppc64 sparc
RedundantVersion slot(0) keywords are overshadowed by versions: 1.12.0, 1.13.0-r1, 1.13.1, 1.14.0, 1.15.1, 1.16.2
RedundantVersion slot(0) keywords are overshadowed by versions: 1.12.0, 1.13.0-r1, 1.13.1, 1.14.0, 1.15.1, 1.16.2
1.10.3 : 0 T ~amd64 ~x86 alpha arm arm64 ~hppa ia64 ppc ppc64 sparc
RedundantVersion slot(0) keywords are overshadowed by versions: 1.11.0, 1.12.0, 1.13.0-r1, 1.13.1, 1.14.0, 1.15.1, 1.16.2
RedundantVersion slot(0) keywords are overshadowed by versions: 1.11.0, 1.12.0, 1.13.0-r1, 1.13.1, 1.14.0, 1.15.1, 1.16.2
1.9.3 : 0 T ~amd64 ~x86 alpha arm arm64 ~hppa ia64 ppc ppc64 sparc
RedundantVersion slot(0) keywords are overshadowed by versions: 1.10.3, 1.11.0, 1.12.0, 1.13.0-r1, 1.13.1, 1.14.0, 1.15.1, 1.16.2
RedundantVersion slot(0) keywords are overshadowed by versions: 1.10.3, 1.11.0, 1.12.0, 1.13.0-r1, 1.13.1, 1.14.0, 1.15.1, 1.16.2
1.8.2 : 0 T amd64 x86 alpha arm arm64 hppa ia64 ppc ppc64 sparc
1.6.2 : 0 T ~amd64 ~x86 alpha arm arm64 ~hppa ia64 ppc ppc64 sparc
RedundantVersion slot(0) keywords are overshadowed by versions: 1.8.2, 1.9.3, 1.10.3, 1.11.0, 1.12.0, 1.13.0-r1, 1.13.1, 1.14.0, 1.15.1, 1.16.2
RedundantVersion slot(0) keywords are overshadowed by versions: 1.8.2, 1.9.3, 1.10.3, 1.11.0, 1.12.0, 1.13.0-r1, 1.13.1, 1.14.0, 1.15.1, 1.16.2
1.3.5 : 0 T ~amd64 ~x86 alpha arm arm64 ~hppa ia64 ppc ppc64 sparc
DeprecatedEapi uses deprecated EAPI 5
RedundantVersion slot(0) keywords are overshadowed by versions: 1.6.2, 1.8.2, 1.9.3, 1.10.3, 1.11.0, 1.12.0, 1.13.0-r1, 1.13.1, 1.14.0, 1.15.1, 1.16.2
DeprecatedEapi uses deprecated EAPI 5
RedundantVersion slot(0) keywords are overshadowed by versions: 1.6.2, 1.8.2, 1.9.3, 1.10.3, 1.11.0, 1.12.0, 1.13.0-r1, 1.13.1, 1.14.0, 1.15.1, 1.16.2
1.1.10 : 0 T ~amd64 ~x86 alpha arm arm64 ~hppa ia64 ppc ppc64 sparc
DeprecatedEapi uses deprecated EAPI 5
RedundantVersion slot(0) keywords are overshadowed by versions: 1.3.5, 1.6.2, 1.8.2, 1.9.3, 1.10.3, 1.11.0, 1.12.0, 1.13.0-r1, 1.13.1, 1.14.0, 1.15.1, 1.16.2
DeprecatedEapi uses deprecated EAPI 5
RedundantVersion slot(0) keywords are overshadowed by versions: 1.3.5, 1.6.2, 1.8.2, 1.9.3, 1.10.3, 1.11.0, 1.12.0, 1.13.0-r1, 1.13.1, 1.14.0, 1.15.1, 1.16.2
1.1.2-r1 : 0 T ~amd64 ~x86 alpha arm arm64 ~hppa ia64 ppc ppc64 sparc
DeprecatedEapi uses deprecated EAPI 5
RedundantVersion slot(0) keywords are overshadowed by versions: 1.1.10, 1.3.5, 1.6.2, 1.8.2, 1.9.3, 1.10.3, 1.11.0, 1.12.0, 1.13.0-r1, 1.13.1, 1.14.0, 1.15.1, 1.16.2
DeprecatedEapi uses deprecated EAPI 5
RedundantVersion slot(0) keywords are overshadowed by versions: 1.1.10, 1.3.5, 1.6.2, 1.8.2, 1.9.3, 1.10.3, 1.11.0, 1.12.0, 1.13.0-r1, 1.13.1, 1.14.0, 1.15.1, 1.16.2
0.98.2 : 0 T ~amd64 ~x86 alpha arm arm64 ~hppa ia64 ppc ppc64 sparc
DeprecatedEapi uses deprecated EAPI 5
RedundantVersion slot(0) keywords are overshadowed by versions: 1.1.2-r1, 1.1.10, 1.3.5, 1.6.2, 1.8.2, 1.9.3, 1.10.3, 1.11.0, 1.12.0, 1.13.0-r1, 1.13.1, 1.14.0, 1.15.1, 1.16.2
DeprecatedEapi uses deprecated EAPI 5
RedundantVersion slot(0) keywords are overshadowed by versions: 1.1.2-r1, 1.1.10, 1.3.5, 1.6.2, 1.8.2, 1.9.3, 1.10.3, 1.11.0, 1.12.0, 1.13.0-r1, 1.13.1, 1.14.0, 1.15.1, 1.16.2
0.8.1-r1 : 0 T amd64 x86 alpha arm arm64 ~hppa ia64 ppc ppc64 sparc
DeprecatedEapi uses deprecated EAPI 5
DeprecatedEclass uses deprecated eclass: [ base (no replacement) ]
ObsoleteUri obsolete fetch URI: https://github.com/mongodb/${PN}/tarball/v${PV/_/} on line 11, should be replaced by: https://github.com/mongodb/${PN}/archive/v${PV/_/}.tar.gz
RedundantVersion slot(0) keywords are overshadowed by versions: 1.8.2, 1.13.0-r1
DeprecatedEapi uses deprecated EAPI 5
DeprecatedEclass uses deprecated eclass: [ base (no replacement) ]
ObsoleteUri obsolete fetch URI: https://github.com/mongodb/${PN}/tarball/v${PV/_/} on line 11, should be replaced by: https://github.com/mongodb/${PN}/archive/v${PV/_/}.tar.gz
RedundantVersion slot(0) keywords are overshadowed by versions: 1.8.2, 1.13.0-r1
0.7.1-r1 : 0 T amd64 x86 alpha arm arm64 ~hppa ia64 ppc ppc64 sparc
DeprecatedEapi uses deprecated EAPI 5
ObsoleteUri obsolete fetch URI: https://github.com/mongodb/${PN}/tarball/v${PV/_/} on line 11, should be replaced by: https://github.com/mongodb/${PN}/archive/v${PV/_/}.tar.gz
RedundantVersion slot(0) keywords are overshadowed by versions: 0.8.1-r1, 1.8.2, 1.13.0-r1
MatchingChksums distfile 'mongo-c-driver-1.10.3.tar.gz' matches checksums for 'libbson-1.10.3.tar.gz' from dev-libs/libbson
MatchingChksums distfile 'mongo-c-driver-1.11.0.tar.gz' matches checksums for 'libbson-1.11.0.tar.gz' from dev-libs/libbson
MatchingChksums distfile 'mongo-c-driver-1.12.0.tar.gz' matches checksums for 'libbson-1.12.0.tar.gz' from dev-libs/libbson
MatchingChksums distfile 'mongo-c-driver-1.13.0.tar.gz' matches checksums for 'libbson-1.13.0.tar.gz' from dev-libs/libbson
MatchingChksums distfile 'mongo-c-driver-1.13.1.tar.gz' matches checksums for 'libbson-1.13.1.tar.gz' from dev-libs/libbson
MatchingChksums distfile 'mongo-c-driver-1.14.0.tar.gz' matches checksums for 'libbson-1.14.0.tar.gz' from dev-libs/libbson
MatchingChksums distfile 'mongo-c-driver-1.15.1.tar.gz' matches checksums for 'libbson-1.15.1.tar.gz' from dev-libs/libbson
MatchingChksums distfile 'mongo-c-driver-1.16.2.tar.gz' matches checksums for 'libbson-1.16.2.tar.gz' from dev-libs/libbson
DeprecatedEapi uses deprecated EAPI 5
ObsoleteUri obsolete fetch URI: https://github.com/mongodb/${PN}/tarball/v${PV/_/} on line 11, should be replaced by: https://github.com/mongodb/${PN}/archive/v${PV/_/}.tar.gz
RedundantVersion slot(0) keywords are overshadowed by versions: 0.8.1-r1, 1.8.2, 1.13.0-r1
MatchingChksums distfile 'mongo-c-driver-1.10.3.tar.gz' matches checksums for 'libbson-1.10.3.tar.gz' from dev-libs/libbson
MatchingChksums distfile 'mongo-c-driver-1.11.0.tar.gz' matches checksums for 'libbson-1.11.0.tar.gz' from dev-libs/libbson
MatchingChksums distfile 'mongo-c-driver-1.12.0.tar.gz' matches checksums for 'libbson-1.12.0.tar.gz' from dev-libs/libbson
MatchingChksums distfile 'mongo-c-driver-1.13.0.tar.gz' matches checksums for 'libbson-1.13.0.tar.gz' from dev-libs/libbson
MatchingChksums distfile 'mongo-c-driver-1.13.1.tar.gz' matches checksums for 'libbson-1.13.1.tar.gz' from dev-libs/libbson
MatchingChksums distfile 'mongo-c-driver-1.14.0.tar.gz' matches checksums for 'libbson-1.14.0.tar.gz' from dev-libs/libbson
MatchingChksums distfile 'mongo-c-driver-1.15.1.tar.gz' matches checksums for 'libbson-1.15.1.tar.gz' from dev-libs/libbson
MatchingChksums distfile 'mongo-c-driver-1.16.2.tar.gz' matches checksums for 'libbson-1.16.2.tar.gz' from dev-libs/libbson

Package Metadata

Changelog